All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util
Class And

    com.sas.util.And

All Implemented Interfaces:
  com.sas.PublicClonable, com.sas.util.PredicateInterface, java.io.Serializable, java.lang.Cloneable

    public class And

implements com.sas.util.PredicateInterface, java.io.Serializable, com.sas.PublicClonable

The `And` class combines two `PredicateInterface` objects using a short circuit logical and ( `&&` ) operation.

See Also:
  `Or`, `Not`, `XOr`, Serialized Form

Constructor Summary
`And(com.sas.util.PredicateInterface lhs, com.sas.util.PredicateInterface rhs)` Construct a predicate which computes the logical and of two other predicates.

Method Summary
`java.lang.Object` | `clone()` Clone this object.
`boolean` | `predicate(java.lang.Object object)` Compute the a boolean function on object.

Constructor Detail

### And

    public And(com.sas.util.PredicateInterface lhs,
               com.sas.util.PredicateInterface rhs)

  Construct a predicate which computes the logical and of two other predicates.

  Parameters:
    `lhs` - the first predicate
    `rhs` - the second predicate

Method Detail

### predicate

    public boolean predicate(java.lang.Object object)

  Compute the a boolean function on object.

  Specified by:
    `predicate` in interface `com.sas.util.PredicateInterface`
  Returns:
    the value `lhs.predicate(object) && rhs.predicate(object);` using the predicates passed to the `constructor`.

### clone

    public java.lang.Object clone()

  Clone this object.

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.